%define major		0
%define libname		%mklibname proc2_ %{major}
%define develname	%mklibname proc2 -d

Name:		procps-ng
Version:	4.0.4
Release:	%mkrel 2
Summary:	System and process monitoring utilities
License:	GPLv2+ and LGPLv2+
Group:		Monitoring
Url:		https://sourceforge.net/projects/procps-ng/
Source0:	https://sourceforge.net/projects/procps-ng/files/Production/%{name}-%{version}.tar.xz
Patch1:		procps-ng-linking.patch
BuildRequires:	libtool
BuildRequires:	po4a
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libselinux)

Provides:	procps = %{version}-%{release}
Provides:	proc2 = %{version}-%{release}

Conflicts:	sysvinit-legacy-tools < 2.87-25

%description
procps-ng is a fork of the procps project.
The procps-ng package contains a set of system utilities which provide system
information.

Procps-ng includes ps, free, skill, snice, pidof, pgrep, pmap, pwdx, slabtop,
sysctl, tload, top, uptime, vmstat, w, watch, pwdx and pidwait.

  * The ps command displays a snapshot of running processes.
  * The top command provides a repetitive update of the statuses of running
    processes.
  * The free command displays the amounts of free and used memory on your
    system.
  * The skill command sends a terminate command (or another specified signal)
    to a specified set of processes.
  * The snice command is used to change the scheduling priority of specified
    processes.
  * The tload command prints a graph of the current system load average to a
    specified tty.
  * The uptime command displays the current time, how long the system has been
    running, how many users are logged on and system load averages for the past
    one, five and fifteen minutes.
  * The w command displays a list of the users who are currently logged on and
    what they're running.
  * The watch program watches a running program.
  * The vmstat command displays virtual memory statistics about processes,
    memory, paging, block I/O, traps and CPU activity.
  * The pidwait command waits for processes of specified names.


%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
License:	LGPLv2+

%description -n	%{libname}
Main library for %{name}.


%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
License:	GPLv2+ and LGPLv2+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	proc2-devel = %{version}-%{release}
Provides:	procps-devel = %{version}-%{release}

%description -n	%{develname}
Development headers and library for the %{name} library.

%prep
%autosetup -p1

%build
%configure \
		--disable-static \
		--disable-kill \
		--enable-watch8bit \
		--enable-colorwatch \
		--enable-w-from \
		--enable-skill \
		--enable-sigwinch \
		--enable-libselinux \
		--with-systemd \
		--disable-modern-top
%make_build

%install
%make_install

# these are created by make, yet empty. This causes rpmbuild errors.
rm -rf %{buildroot}%{_mandir}/pl/man5
rm -rf %{buildroot}%{_mandir}/{fr,de,pt_BR}/man3

# we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name} --all-name --with-man

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS NEWS doc/{FAQ,bugs.md,libproc.supp}
%license COPYING COPYING.LIB
%{_sbindir}/sysctl
%{_bindir}/ps
%{_bindir}/free
%{_bindir}/pgrep
%{_bindir}/pidof
%{_bindir}/pidwait
%{_bindir}/pmap
%{_bindir}/pwdx
%{_bindir}/pkill
%{_bindir}/skill
%{_bindir}/slabtop
%{_bindir}/snice
%{_bindir}/tload
%{_bindir}/top
%{_bindir}/uptime
%{_bindir}/vmstat
%{_bindir}/w
%{_bindir}/watch

%{_mandir}/man1/ps.1*
%{_mandir}/man1/free.1*
%{_mandir}/man1/pgrep.1*
%{_mandir}/man1/pidof.1*
%{_mandir}/man1/pidwait.1*
%{_mandir}/man1/pkill.1*
%{_mandir}/man1/skill.1*
%{_mandir}/man1/snice.1*
%{_mandir}/man1/pmap.1*
%{_mandir}/man1/pwdx.1*
%{_mandir}/man1/slabtop.1*
%{_mandir}/man1/tload.1*
%{_mandir}/man1/top.1*
%{_mandir}/man1/uptime.1*
%{_mandir}/man1/w.1*
%{_mandir}/man1/watch.1*
%{_mandir}/man3/procps*.3*
%{_mandir}/man5/sysctl.conf.5*
%{_mandir}/man8/sysctl.8*
%{_mandir}/man8/vmstat.8*

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libproc2.so.%{major}{,.*}

%files -n %{develname}
%license COPYING COPYING.LIB
%{_includedir}/libproc2/
%{_libdir}/libproc2.so
%{_libdir}/pkgconfig/libproc2.pc


%changelog
* Fri Apr 05 2024 wally <wally> 4.0.4-2.mga10
+ Revision: 2054955
- add patch to fix linking
- basesystem rebuild for i686

* Sun Nov 05 2023 daviddavid <daviddavid> 4.0.4-1.mga10
+ Revision: 2004612
- new version: 4.0.4
- library and devel pkgs are renamed for proc2

* Thu Mar 24 2022 umeabot <umeabot> 3.3.17-2.mga9
+ Revision: 1824385
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 daviddavid <daviddavid> 3.3.17-1.mga9
+ Revision: 1692048
- new version: 3.3.17
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 umeabot <umeabot> 3.3.16-2.mga8
+ Revision: 1544333
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 daviddavid <daviddavid> 3.3.16-1.mga8
+ Revision: 1482878
- new version: 3.3.16
- now libmajor is 8
- rediff P0
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 13 2019 zezinho <zezinho> 3.3.15-2.mga8
+ Revision: 1440213
- fix french po
- remove pidof symlink

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3.3.15-1.mga7
+ Revision: 1346541
- 3.3.15 (fixes security issues mga#23050)
- library major is now 7

* Mon Sep 03 2018 tv <tv> 3.3.12-2.mga7
+ Revision: 1256664
- remove useless deps on systemd-units

* Thu Aug 11 2016 luigiwalser <luigiwalser> 3.3.12-1.mga6
+ Revision: 1045527
- 3.3.12
- library major is now 6

* Tue Jun 07 2016 tv <tv> 3.3.11-3.mga6
+ Revision: 1020649
- adjust BRs for latest systemd

* Fri Feb 12 2016 umeabot <umeabot> 3.3.11-2.mga6
+ Revision: 958548
- Mageia 6 Mass Rebuild

* Sun Jan 03 2016 luigiwalser <luigiwalser> 3.3.11-1.mga6
+ Revision: 918849
- 3.3.11
- remove upstream patch
- library major is now 5

* Fri Dec 25 2015 luigiwalser <luigiwalser> 3.3.10-1.mga6
+ Revision: 914537
- 3.3.10
- remove upstreamed patches
- add patch 0 (from fedora)
- disable selinux support
- disable modern top
- update files list

* Fri Aug 21 2015 tmb <tmb> 3.3.9-6.mga6
+ Revision: 867688
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 3.3.9-5.mga5
+ Revision: 745223
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.9-4.mga5
+ Revision: 687790
- Mageia 5 Mass Rebuild

* Thu Sep 11 2014 colin <colin> 3.3.9-3.mga5
+ Revision: 674708
- Provide the pidof utility (moved from sysvinit-legacy-tools)

* Sat Sep 06 2014 luigiwalser <luigiwalser> 3.3.9-2.mga5
+ Revision: 672713
- add patch from fedora to fix rhbz#963799

* Mon Apr 28 2014 daviddavid <daviddavid> 3.3.9-1.mga5
+ Revision: 618785
- update Summary by fedora's summary
- add a Provides on old procps-devel package
- switch to new upstream release fork on procps-ng (procps is long dead)
- procps-ng is a Debian, Fedora and openSUSE fork of procps
- add 8 patches from procps-ng Fedora's project (http://pkgs.fedoraproject.org/cgit/procps-ng.git)
- remove all old patches from procps-3.2.8
- adapt spec file for Mageia Policy
- update URL and link url for Source0
- update License
- minor change on main description
- add libification from Mageia's policy
- add provides and obsoletes on old procps package
- add obsoletes on old procps-devel package
- new version: 3.3.9
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ kamil <kamil>
- new BR: gettext-devel
- global cleaning and upgrade of build process
- clean %%files
- stop installing kill (util-linux), skill (util-linux)
- stop installing snice (marked as unportable and obsolete)
- new version 3.8.8
- move to procps-ng fork of Fedora, OpenSUSE etc, procps is dead
- update Source0

* Sun Jan 13 2013 umeabot <umeabot> 3.2.8-6.2.mga3
+ Revision: 378228
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 3.2.8-6.1.mga3
+ Revision: 273158
- Update for usrmove
+ blino <blino>
- remove old psdevtab/psdatabase removal in post
- remove old ldconfig scriptlets
+ tmb <tmb>
- imported package procps

